Name:           pinentry-x2go
Version:        0.7.5.6
Release:        1%{?dist}
Summary:        Qt4-based PIN or pass-phrase entry dialog for x2goclient

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.x2go.org/
Source0:        http://code.x2go.org/releases/source/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libcap-devel
BuildRequires:  qt-devel

%description
This package contains a program that allows for entry of PINs or pass phrases.
Based on original pinentry-qt software, modified for x2goclient.


%prep
%setup -q
# Fix FSF address
sed -i -e 's/59 Temple Place/51 Franklin Street/' -e 's/Suite 330/Fifth Floor/' \
       -e 's/02111-1307/02110-1301/' */*.[ch]
sed -i -s 's/675 Mass Ave, Cambridge, MA 02139, USA/51 Franklin Street, Fifth Floor, Boston, MA 02110-1301/' COPYING */*.[ch]


%build
aclocal
autoheader
autoreconf --install
%configure
make %{?_smp_mflags}


%install
mkdir -p %{buildroot}%{_bindir}
cp -p %{name}/%{name} %{buildroot}%{_bindir}/


%files
%doc AUTHORS ChangeLog.pinentry-gnupg COPYING NEWS README THANKS VERSION
%{_bindir}/%{name}


%changelog
* Fri Sep 6 2013 Orion Poplawski <orion@cora.nwra.com> 0.7.5.6-1
- Initial Fedora package
